char nameDevice[]= {'7','0','M','h','z',' ','R','e','s','e','t',0};
unsigned int resetSeconds = 43200;
unsigned int seconds = 0;
const long interval =1000;           // interval at which to blink (milliseconds)

#define resetPin  D0

#define REMOTEXY_MODE__ESP8266WIFI_LIB
#include "ccs_wraper.h"
#include <ESP8266WiFi.h>
#include <RemoteXY.h>
#include <EEPROM.h>

#define REMOTEXY_WIFI_SSID "xxx"
#define REMOTEXY_WIFI_PASSWORD "xxxx"
#define REMOTEXY_SERVER_PORT 6377

#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =
      { 255,12,0,33,0,47,0,8,13,1,
  65,4,27,33,9,9,1,0,21,49,
  21,21,2,31,88,0,67,5,5,17,
  20,8,2,26,11,7,5,36,17,23,
  8,2,26,2,11,67,1,5,2,53,
  7,135,26,21 }; 
  
struct {
  uint8_t button_1; // =1 if switch ON and =0 if OFF 
  char textInput[11];  // string UTF8 end zero  
  uint8_t led_1_r; // =0..255 LED Red brightness 
  char secondsArray[11];  // string UTF8 end zero
  char deviceName[21];  // string UTF8 end zero 
  
  uint8_t connect_flag;  // =1 if wire connected, else = 0 
} RemoteXY;
#pragma pack(pop)

#define led D4

void setup() 
{
  EEPROM.begin(16);
  EEPROM.get(0,resetSeconds);
  pinMode (led, OUTPUT);
  RemoteXY_Init (); 
  strcpy(RemoteXY.deviceName,nameDevice);
  itoa(resetSeconds,RemoteXY.textInput,10);
}


void loop() 
{  
  oneSecond();
  RemoteXY_Handler ();
  
  if(RemoteXY.button_1==0)
  {
    if(seconds > 0)
      input(resetPin);
  }
  else
  {
    seconds = 0;
    output_low(resetPin);
  }

  if(input_state(resetPin))
    RemoteXY.led_1_r=0;
  else
    RemoteXY.led_1_r=255;
          
  if(seconds == resetSeconds)
  {
      seconds = 0;
      output_low(resetPin);
  }  
}



int ledState = LOW;             // ledState used to set the LED
unsigned long previousMillis = 0;
void oneSecond()
{
  unsigned long currentMillis = millis();
  if (currentMillis - previousMillis >= interval)
  {
    unsigned int temp =atoi(RemoteXY.textInput);
    if( temp != resetSeconds)
    {
      resetSeconds = temp;
      itoa(resetSeconds,RemoteXY.textInput,10);
      seconds = 0;
      EEPROM.put(0,resetSeconds);
      EEPROM.commit();
    }
    seconds++;
    itoa(seconds,RemoteXY.secondsArray,10);
    previousMillis = currentMillis;
    if (ledState == LOW) 
    {
      ledState = HIGH;
    } 
    else 
    {
      ledState = LOW;
    }
    digitalWrite(led, ledState);
  }
}
